import * as React from 'react';
import React__default from 'react';
import { Button, ChakraProvider } from '@chakra-ui/react';

var Test = function () {
    return React.createElement(Button, null, "ChakraUI Button");
};

/**
 * Componet that wraps its child in a ChakraProvider and inits ChakraUI for all its children
 * @param children
 * @param customTheme
 * @returns ReactJSXElement
 */
var Chakra = function (_a) {
    var children = _a.children, customTheme = _a.customTheme;
    return React__default.createElement(ChakraProvider, { theme: customTheme }, children);
};

/**
 * Custom colors that extend the default Chakra colors
 * TODO: make these extendable
 */
var colors = {
    // These are our default brand colors
    brand: {
        blue: '#356DEE',
        lightBlue: '#0EC5FF',
        background: '#F5F5F7',
        black: '#000000',
        grey: '#212121',
    },
    // Ddd more colors here
    main: {},
};

/**
 * This is a extendable base theme for all projects using ChakraUi
 * Apps can import this base theme into their projects and init + extend it using Chakra's extendTheme (see: https://chakra-ui.com/docs/styled-system/customize-theme)
 */
// Init our media query breakpoints for responsive design
var breakpoints = {
    sm: '40em',
    md: '50em',
    ml: '61.5em',
    lg: '62em',
    x: '70em',
    xl: '80em',
    '2xl': '96em',
};
// This is our base theme object that can then be extended later on
var theme = {
    breakpoints: breakpoints,
    colors: colors,
    // int out fontSizes (update them to rem insead of the default px that Chakra uses)
    fontSizes: {
        xs: '0.75rem',
        sm: '0.875rem',
        md: '1rem',
        lg: '1.125rem',
        xl: '1.25rem',
        '2xl': '1.5rem',
        '3xl': '1.875rem',
        '4xl': '2.25rem',
        '5xl': '3rem',
        '6xl': '3.75rem',
        '7xl': '4.5rem',
        '8xl': '6rem',
        '9xl': '8rem',
    },
};

export { Chakra, theme as PorttTheme, Test };
//# sourceMappingURL=index.js.map
