import * as React from 'react';
import React__default from 'react';

declare const Test: React.FC;

interface Props {
    children: React__default.ReactNode;
    customTheme: any;
}
/**
 * Componet that wraps its child in a ChakraProvider and inits ChakraUI for all its children
 * @param children
 * @param customTheme
 * @returns ReactJSXElement
 */
declare const Chakra: React__default.FC<Props>;

declare const theme: {
    breakpoints: {
        sm: string;
        md: string;
        ml: string;
        lg: string;
        x: string;
        xl: string;
        '2xl': string;
    };
    colors: {
        brand: {
            blue: string;
            lightBlue: string;
            background: string;
            black: string;
            grey: string;
        };
        main: {};
    };
    fontSizes: {
        xs: string;
        sm: string;
        md: string;
        lg: string;
        xl: string;
        '2xl': string;
        '3xl': string;
        '4xl': string;
        '5xl': string;
        '6xl': string;
        '7xl': string;
        '8xl': string;
        '9xl': string;
    };
};

export { Chakra, theme as PorttTheme, Test };
